from setuptools import setup

with open('README.md') as f:
    long_description = f.read()

setup(
    name='socketio_pg',
    version='0.8',
    description='Websocket server using PostgreSQL as a message transport. Uses SocketIO, Greenlet, Flask.',
    url='http://github.com/revmischa/socketio_pg',
    author='Mischa Spiegelmock',
    author_email='revmischa@cpan.org',
    license='ABRMS',
    packages=['socketio_pg'],
    long_description=long_description,
    long_description_content_type='text/markdown',
    keywords='websocket pubsub socketio socket.io greenlet eventlet postgresql postgres psycopg2 server',
    setup_requires=['setuptools>=38.6.0'],
    install_requires=[
        'Flask-Login==0.4.0',
        'Flask-SocketIO==3.0.0',
        'Flask-SQLAlchemy==2.3.2',
        'eventlet==0.23.0',
        'psycopg2==2.7.4',
        'python-socketio==1.9.0',
        'SQLAlchemy==1.2.7',
        'gunicorn==19.7.1',
    ],
)
